#ifndef WINLNXDEFS_H
#define WINLNXDEFS_H

#include <stdlib.h>
static void ExitThread(int ret) { exit(ret); }

#include <stdint.h>
#ifdef GCC
typedef int64_t _int64;
typedef int64_t __int64;
#endif

typedef unsigned int UINT;
typedef int BOOL;
typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef unsigned int DWORD;
typedef int INT;
typedef long LONG;
typedef long long LONGLONG;

typedef int __int32;

typedef void* HINSTANCE;
typedef int PROPSHEETHEADER;
typedef int PROPSHEETPAGE;
typedef int HWND;

#define FALSE 0
#define TRUE 1
#define __stdcall
#define __declspec(dllexport)
#define _cdecl
#define WINAPI

typedef union _LARGE_INTEGER
{
   struct
     {
	DWORD LowPart;
	LONG HighPart;
     } s;
   struct
     {
	DWORD LowPart;
	LONG HighPart;
     } u;
   LONGLONG QuadPart;
} LARGE_INTEGER, *PLARGE_INTEGER;

#define HIWORD(a) ((unsigned int)(a) >> 16)
#define LOWORD(a) ((a) & 0xFFFF)

#ifndef WIN32
# define MB_OK 0
# define MB_YESNO 0
# define MB_ICONERROR 0
# define MessageBox(a, b, c, e) fprintf(stderr, b "\n")
#endif

#endif // WINLNXDEFS_H
